<template lang="pug">
centered-fifty-fifty
  div.columns
    z-card
      z-card-body
        login
    .empty
      analysis(height="200" primaryColor="rgba(var(--color-primary), 0.8)")
      p.empty-subtitle {{ $t('about browse', { thing: getInstanceName || 'this instance' }) | capitalize({ onlyFirstLetter: true }) }}
  div.columns
    z-card
      z-card-body
        register

    z-card
      z-card-body
        about-follows
</template>

<script>
import { mapGetters } from 'vuex'

import Analysis from 'vue-undraw/UndrawAnalysis'
import CenteredFiftyFifty from '~/components/sublayouts/CenteredFiftyFifty.vue'
import Login from '~/components/Login.vue'
import Register from '~/components/Register.vue'
import AboutFollows from '~/components/AboutFollows.vue'

export default {
  components: {
    // layout components:
    CenteredFiftyFifty,
    // logic components:
    Login,
    Register,
    AboutFollows,
    // cosmetic components:
    Analysis
  },
  data() {
    return {
      leftImageIndex: Math.floor(Math.random() * 2) // random integer (0 or 1).
    }
  },
  computed: {
    ...mapGetters('instance', ['getInstanceName'])
  }
}
</script>

<style scoped>
.columns {
  flex-direction: column;
}

.card:not(:first-child) {
  margin-top: 20px;
}
</style>
